libmspub::ParagraphStyle Struct Reference documentation

Public Member Functions | Public Attributes | List of all members
libmspub::ParagraphStyle Struct Reference

`#include <MSPUBTypes.h>`

## Public Member Functions
| ParagraphStyle ()

## Public Attributes
boost::optional< Alignment > | m_align
boost::optional< unsigned > | m_defaultCharStyleIndex
boost::optional< LineSpacingInfo > | m_lineSpacing
boost::optional< unsigned > | m_spaceBeforeEmu
boost::optional< unsigned > | m_spaceAfterEmu
boost::optional< int > | m_firstLineIndentEmu
boost::optional< unsigned > | m_leftIndentEmu
boost::optional< unsigned > | m_rightIndentEmu
boost::optional< ListInfo > | m_listInfo
std::vector< unsigned > | m_tabStopsInEmu
boost::optional< unsigned > | m_dropCapLines
boost::optional< unsigned > | m_dropCapLetters

## Constructor & Destructor Documentation

## ◆ ParagraphStyle()

libmspub::ParagraphStyle::ParagraphStyle | ( |  | ) |
| inline

## Member Data Documentation

## ◆ m_align

boost::optional<Alignment> libmspub::ParagraphStyle::m_align

Referenced by libmspub::MSPUBParser::getParagraphStyle(), and libmspub::MSPUBCollector::getParaStyleProps().

## ◆ m_defaultCharStyleIndex

boost::optional<unsigned> libmspub::ParagraphStyle::m_defaultCharStyleIndex

Referenced by libmspub::MSPUBParser::getParagraphStyle().

## ◆ m_dropCapLetters

boost::optional<unsigned> libmspub::ParagraphStyle::m_dropCapLetters

Referenced by libmspub::MSPUBParser::getParagraphStyle(), and libmspub::MSPUBCollector::getParaStyleProps().

## ◆ m_dropCapLines

boost::optional<unsigned> libmspub::ParagraphStyle::m_dropCapLines

Referenced by libmspub::MSPUBParser::getParagraphStyle(), and libmspub::MSPUBCollector::getParaStyleProps().

## ◆ m_firstLineIndentEmu

boost::optional<int> libmspub::ParagraphStyle::m_firstLineIndentEmu

Referenced by libmspub::MSPUBParser::getParagraphStyle(), and libmspub::MSPUBCollector::getParaStyleProps().

## ◆ m_leftIndentEmu

boost::optional<unsigned> libmspub::ParagraphStyle::m_leftIndentEmu

Referenced by libmspub::MSPUBParser::getParagraphStyle(), and libmspub::MSPUBCollector::getParaStyleProps().

## ◆ m_lineSpacing

boost::optional<LineSpacingInfo> libmspub::ParagraphStyle::m_lineSpacing

Referenced by libmspub::MSPUBParser::getParagraphStyle(), and libmspub::MSPUBCollector::getParaStyleProps().

## ◆ m_listInfo

boost::optional<ListInfo> libmspub::ParagraphStyle::m_listInfo

Referenced by libmspub::MSPUBParser::getParagraphStyle().

## ◆ m_rightIndentEmu

boost::optional<unsigned> libmspub::ParagraphStyle::m_rightIndentEmu

Referenced by libmspub::MSPUBParser::getParagraphStyle(), and libmspub::MSPUBCollector::getParaStyleProps().

## ◆ m_spaceAfterEmu

boost::optional<unsigned> libmspub::ParagraphStyle::m_spaceAfterEmu

Referenced by libmspub::MSPUBParser::getParagraphStyle(), and libmspub::MSPUBCollector::getParaStyleProps().

## ◆ m_spaceBeforeEmu

boost::optional<unsigned> libmspub::ParagraphStyle::m_spaceBeforeEmu

Referenced by libmspub::MSPUBParser::getParagraphStyle(), and libmspub::MSPUBCollector::getParaStyleProps().

## ◆ m_tabStopsInEmu

std::vector<unsigned> libmspub::ParagraphStyle::m_tabStopsInEmu

Referenced by libmspub::MSPUBParser::getParagraphStyle().

The documentation for this struct was generated from the following file:

- MSPUBTypes.h